For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
            • GETList Channels
            • POSTCreate Channel
            • GETGet Channel
            • PUTUpdate Channel
              • GETList Channel Listings
              • POSTCreate Channel Listings
              • PUTUpdate Channel Listings
              • GETGet Channel Listing
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementChannelsListings

Get Channel Listing

GET
https://api.bigcommerce.com/stores/:store_hash/v3/channels/:channel_id/listings/:listing_id
GET
/stores/:store_hash/v3/channels/:channel_id/listings/:listing_id
$curl https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": {
3 "channel_id": 667159,
4 "listing_id": 882998595,
5 "product_id": 80,
6 "state": "active",
7 "name": "Orbit Terrarium - Large",
8 "description": "The same terrarium, but not a [Sample]",
9 "date_created": "2021-05-24T17:46:33Z",
10 "date_modified": "2021-05-24T17:46:33Z",
11 "variants": [
12 {
13 "channel_id": 667159,
14 "product_id": 80,
15 "variant_id": 64,
16 "state": "active",
17 "name": "Terrarium with dinosaur",
18 "date_created": "2021-05-24T17:46:33Z",
19 "date_modified": "2021-05-24T17:46:33Z"
20 },
21 {
22 "channel_id": 667159,
23 "product_id": 80,
24 "variant_id": 65,
25 "state": "active",
26 "name": "Terrarium with fish",
27 "date_created": "2021-05-24T17:46:33Z",
28 "date_modified": "2021-05-24T17:46:33Z"
29 }
30 ]
31 },
32 "meta": {}
33}

Returns a Channel Listing for a specific channel. We recommend using this endpoint for non-storefront channels like marketplaces, marketing channels, and point of sale (POS) channels.

Was this page helpful?
Previous

Update Channel Listings

Next

List Channel Menus

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

channel_idlongRequired
The ID of a channel.
listing_idlongRequired
The ID of a channel listing.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

dataobject
metaobject
Response metadata.

Errors

404
Not Found Error

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.